{
  "name": "@mongosh/cli-repl",
  "version": "0.0.0-dev.0",
  "description": "MongoDB Shell CLI REPL Package",
  "homepage": "https://github.com/mongodb-js/mongosh",
  "author": "Compass Team <compass@mongodb.com>",
  "manufacturer": "MongoDB Inc.",
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "bin": {
    "mongosh": "bin/mongosh.js"
  },
  "config": {
    "unsafe-perm": true
  },
  "repository": {
    "type": "git",
    "url": "git://github.com/mongodb-js/mongosh.git"
  },
  "scripts": {
    "compile-ts": "tsc -p tsconfig.json",
    "start": "node bin/mongosh.js",
    "pretest": "npm run compile-ts",
    "test": "cross-env TS_NODE_PROJECT=../../config/tsconfig.test.json mocha -r \"../../scripts/import-expansions.js\" --timeout 60000 -r ts-node/register \"./{src,test}/**/*.spec.ts\"",
    "test-ci": "node ../../scripts/run-if-package-requested.js npm test",
    "test-apistrict-ci": "cross-env MONGOSH_TEST_FORCE_API_STRICT=1 npm run test-ci",
    "pretest-e2e": "npm run compile-ts",
    "test-e2e": "cross-env TS_NODE_PROJECT=../../config/tsconfig.test.json mocha -r \"../../scripts/import-expansions.js\" --timeout 15000 --colors -r ts-node/register \"./test/e2e*.spec.ts\"",
    "test-e2e-ci": "cross-env TS_NODE_PROJECT=../../config/tsconfig.test.json mocha -r \"../../scripts/import-expansions.js\" --timeout 15000 --colors -r ts-node/register \"./test/e2e*.spec.ts\"",
    "lint": "eslint --report-unused-disable-directives \"./{src,test}/**/*.{js,ts,tsx}\"",
    "check": "npm run lint && depcheck --skip-missing=true",
    "prepublish": "npm run compile-ts",
    "webpack-build": "npm run compile-ts && webpack --mode production",
    "webpack-build-dev": "npm run compile-ts && webpack --mode development"
  },
  "license": "Apache-2.0",
  "publishConfig": {
    "access": "public"
  },
  "engines": {
    "node": ">=16.15.0"
  },
  "mongosh": {
    "ciRequiredOptionalDependencies": {
      "macos-export-certificate-and-key": [
        "darwin"
      ],
      "win-export-certificate-and-key": [
        "win32"
      ],
      "get-console-process-list": [
        "win32"
      ]
    }
  },
  "dependencies": {
    "@mongosh/arg-parser": "0.0.0-dev.0",
    "@mongosh/autocomplete": "0.0.0-dev.0",
    "@mongosh/editor": "0.0.0-dev.0",
    "@mongosh/errors": "0.0.0-dev.0",
    "@mongosh/history": "0.0.0-dev.0",
    "@mongosh/i18n": "0.0.0-dev.0",
    "@mongosh/js-multiline-to-singleline": "0.0.0-dev.0",
    "@mongosh/logging": "0.0.0-dev.0",
    "@mongosh/service-provider-core": "0.0.0-dev.0",
    "@mongosh/service-provider-server": "0.0.0-dev.0",
    "@mongosh/shell-api": "0.0.0-dev.0",
    "@mongosh/shell-evaluator": "0.0.0-dev.0",
    "@mongosh/snippet-manager": "0.0.0-dev.0",
    "@mongosh/types": "0.0.0-dev.0",
    "analytics-node": "^5.1.2",
    "ansi-escape-sequences": "^5.1.2",
    "askcharacter": "^1.0.0",
    "askpassword": "^1.2.4",
    "is-recoverable-error": "^1.0.3",
    "js-yaml": "^4.1.0",
    "mongodb-connection-string-url": "^2.6.0",
    "mongodb-log-writer": "^1.1.3",
    "numeral": "^2.0.6",
    "pretty-repl": "^3.1.1",
    "semver": "^7.1.2",
    "strip-ansi": "^6.0.0",
    "text-table": "^0.2.0",
    "yargs-parser": "^20.2.4"
  },
  "devDependencies": {
    "@types/analytics-node": "^3.1.3",
    "@types/ansi-escape-sequences": "^4.0.0",
    "@types/chai-as-promised": "^7.1.3",
    "@types/js-yaml": "^4.0.5",
    "@types/node": "^14.14.5",
    "@types/numeral": "^2.0.2",
    "@types/text-table": "^0.2.1",
    "@types/yargs-parser": "^15.0.0",
    "chai-as-promised": "^7.1.1",
    "lodash": "^4.17.21",
    "moment": "^2.29.1",
    "mongodb-crypt-library-dummy": "^1.0.2"
  },
  "optionalDependencies": {
    "get-console-process-list": "^1.0.4",
    "macos-export-certificate-and-key": "^1.1.1",
    "win-export-certificate-and-key": "^1.1.1",
    "mongodb-crypt-library-version": "^1.0.3"
  }
}
